Skip to Content
APIContract

Contract

List of smart contract interfaces.

Get list of contracts

The value sum of start and limit must be less than or equal to 10000. The maximum value for limit is 50.

Returns a list of contracts.

GET https://apilist.tronscanapi.com/api/contracts?limit=20&start=0&verified-only=true&open-source-only=false&sort=-trxCount

Try this endpoint in your browser ↗ 🔗

ParameterDescription
searchSearch by contract name or contract address
sortSort fields: -trxCount, -balance, -timestamp. Default: -trxCount
startStart number. Default: 0
limitNumber of items per page. Default: 10
open-source-onlyWhether to show only open source contracts
verified-onlyWhether to show only verified contracts
ownerFilter by deployer address

Get contract detail information

Returns contract detail information.

GET https://apilist.tronscanapi.com/api/contract?contract=TSSMHYeV2uE9qYH95DqyoCuNCzEL1NvU3S

Try this endpoint in your browser ↗ 🔗

ParameterDescription
contractContract address

Get event information of the contract

This is a POST request. Please use the POST method to get the data.

Returns a list of event information for the contract.

POST https://apilist.tronscanapi.com/api/contracts/smart-contract-triggers-batch

Try this endpoint in your browser ↗ 🔗

ParameterDescription
contractAddressContract address
hashListA list of transaction hashes
termQuery content — supports block number and event name
fieldsComma-separated list of fields to return in list[]. Omit to return all fields. Example: "hash,method"

Example request body:

{ "contractAddress": "TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t" }

Get contract energy statistics

Returns Energy statistic data of a contract.

GET https://apilist.tronscanapi.com/api/onecontractenergystatistic?address=TSSMHYeV2uE9qYH95DqyoCuNCzEL1NvU3S

Try this endpoint in your browser ↗ 🔗

ParameterDescription
addressContract address

Get contract call statistics

Returns contract call statistics.

GET https://apilist.tronscanapi.com/api/contracts/top_call?contract_address=TSSMHYeV2uE9qYH95DqyoCuNCzEL1NvU3S

Try this endpoint in your browser ↗ 🔗

ParameterDescription
contract_addressContract address

Get the number of unique addresses called per day for a contract over a certain period of time

Returns the number of unique addresses called per day for a contract over a certain period of time.

GET https://apilist.tronscanapi.com/api/onecontractcallerstatistic?address=TSSMHYeV2uE9qYH95DqyoCuNCzEL1NvU3S&start_timestamp=1621900800000&end_timestamp=1621987200000

Try this endpoint in your browser ↗ 🔗

ParameterDescription
addressContract address
start_timestampStart time, accurate to seconds
end_timestampEnd time, accurate to seconds

Get the list of the number of calls per day of the contract

Returns a list of the number of calls per day of the contract.

GET https://apilist.tronscanapi.com/api/onecontracttriggerstatistic?address=TSSMHYeV2uE9qYH95DqyoCuNCzEL1NvU3S&start_timestamp=1621900800000&end_timestamp=1621987200000

Try this endpoint in your browser ↗ 🔗

ParameterDescription
addressContract address
start_timestampStart time, accurate to seconds
end_timestampEnd time, accurate to seconds

Get the list of daily analysis data for the contract over a period of time

Returns a list of daily analysis data for the contract over a period of time.

GET https://apilist.tronscanapi.com/api/contract/analysis?address=TSSMHYeV2uE9qYH95DqyoCuNCzEL1NvU3S&type=0&start_timestamp=1680430566127&end_timestamp=1680516966127

Try this endpoint in your browser ↗ 🔗

ParameterDescription
addressContract address
typeQuery data type (see below)
start_timestampStart time, accurate to seconds
end_timestampEnd time, accurate to seconds

type values:

ValueDescription
0Balance — TRX balance, the price of TRX on that day (calculated using USDT)
1Token transfers — number of TRC20 token transfers and number of tokens transferred
2Energy consumption — from frozen TRX, from burning TRX, provided by contract deployers
3Bandwidth consumption — from free Bandwidth or frozen TRX, from burning TRX
4Contract calling — number of calls and number of calling accounts
5Fees — Bandwidth and Energy consumed from burning TRX

Get the list of all callers of the contract and the statistics of the number of calls

Returns a list of all callers of the contract and the statistics of the number of calls.

GET https://apilist.tronscanapi.com/api/onecontractcallers?address=TSSMHYeV2uE9qYH95DqyoCuNCzEL1NvU3S&day=1680429735649&limit=2&start=0

Try this endpoint in your browser ↗ 🔗

ParameterDescription
addressContract address
dayQuery the number of days, counted backwards from current time. Default: yesterday
startStart number. Default: 0
limitNumber of items per page. Default: 10

Get the list of trigger transactions for a certain time period

The maximum value for limit is 50. The value sum of start and limit must be less than or equal to 10000.

Returns a list of trigger transactions for a certain time period.

GET https://apilist.tronscanapi.com/api/contracts/trigger?limit=1&start=0&start_timestamp=1680430566127&end_timestamp=1680508302533

Try this endpoint in your browser ↗ 🔗

ParameterDescription
startStart number. Default: 0
limitNumber of items per page. Default: 10
start_timestampStart time, accurate to milliseconds
end_timestampEnd time, accurate to milliseconds
Last updated on: